using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
	abstract class CollideRange
	{
		//衝突確認の相手が衝突する可能性のある範囲内にあるか。
		public virtual bool InCollideField(double x, double y,CollideRange range)
		{
			return true;
		}

		public abstract bool Judge(double x, double y, CollideRange range);

		public IStageObject StageItem { get; protected set; }
	}
}
